wm/windowmaker - The NetBSD Packages Collection

GNUStep-compliant NEXTSTEP(tm) window manager clone

Window Maker is a window manager designed to emulate the look
and feel of part of the NEXTSTEP(tm) GUI. It's supposed to be fast,
relatively small, feature rich and easy to configure, with
a simple and elegant appearance borrowed from NEXTSTEP(tm).

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/pkgconf

Runtime dependencies

lang/perl5 devel/pango fonts/Xft2 fonts/Xft2 graphics/png graphics/giflib graphics/libexif graphics/libwebp graphics/tiff x11/libXpm devel/pango fonts/Xft2 graphics/png graphics/giflib graphics/libexif graphics/libwebp graphics/tiff

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfwindowmaker-0.95.9nb3.tgz
NetBSD 8.0earmv7hfwindowmaker-0.95.9nb3.tgz
NetBSD 8.0earmv7hfwindowmaker-0.95.9nb3.tgz
NetBSD 8.0earmv7hfwindowmaker-0.95.9nb4.tgz
NetBSD 8.0i386windowmaker-0.95.9nb3.tgz
NetBSD 8.0i386windowmaker-0.95.9nb3.tgz
NetBSD 8.0i386windowmaker-0.95.9nb3.tgz
NetBSD 8.0i386windowmaker-0.95.9nb4.tgz
NetBSD 8.0powerpcwindowmaker-0.95.9nb3.tgz
NetBSD 8.0powerpcwindowmaker-0.95.9nb3.tgz
NetBSD 8.0powerpcwindowmaker-0.95.9nb3.tgz
NetBSD 8.0powerpcwindowmaker-0.95.9nb4.tgz
NetBSD 8.0powerpcwindowmaker-0.95.9nb4.tgz
NetBSD 8.0x86_64windowmaker-0.95.9nb3.tgz
NetBSD 8.0x86_64windowmaker-0.95.9nb3.tgz
NetBSD 8.0x86_64windowmaker-0.95.9nb3.tgz
NetBSD 8.0x86_64windowmaker-0.95.9nb4.tgz
NetBSD 9.0aarch64windowmaker-0.95.9nb4.tgz
NetBSD 9.0aarch64windowmaker-0.95.9nb3.tgz
NetBSD 9.0aarch64windowmaker-0.95.9nb3.tgz
NetBSD 9.0aarch64windowmaker-0.95.9nb3.tgz
NetBSD 9.0aarch64windowmaker-0.95.9nb4.tgz
NetBSD 9.0alphawindowmaker-0.95.9nb4.tgz
NetBSD 9.0alphawindowmaker-0.95.9nb3.tgz
NetBSD 9.0alphawindowmaker-0.95.9nb4.tgz
NetBSD 9.0earmwindowmaker-0.95.9nb3.tgz
NetBSD 9.0earmwindowmaker-0.95.9nb4.tgz
NetBSD 9.0earmwindowmaker-0.95.9nb4.tgz
NetBSD 9.0earmv6hfwindowmaker-0.95.9nb4.tgz
NetBSD 9.0earmv6hfwindowmaker-0.95.9nb3.tgz
NetBSD 9.0earmv6hfwindowmaker-0.95.9nb3.tgz
NetBSD 9.0earmv6hfwindowmaker-0.95.9nb3.tgz
NetBSD 9.0earmv6hfwindowmaker-0.95.9nb3.tgz
NetBSD 9.0earmv6hfwindowmaker-0.95.9nb4.tgz
NetBSD 9.0earmv7hfwindowmaker-0.95.9nb4.tgz
NetBSD 9.0earmv7hfwindowmaker-0.95.9nb3.tgz
NetBSD 9.0earmv7hfwindowmaker-0.95.9nb3.tgz
NetBSD 9.0earmv7hfwindowmaker-0.95.9nb3.tgz
NetBSD 9.0earmv7hfwindowmaker-0.95.9nb3.tgz
NetBSD 9.0earmv7hfwindowmaker-0.95.9nb3.tgz
NetBSD 9.0earmv7hfwindowmaker-0.95.9nb4.tgz
NetBSD 9.0earmv7hfwindowmaker-0.95.9nb4.tgz
NetBSD 9.0i386windowmaker-0.95.9nb3.tgz
NetBSD 9.0i386windowmaker-0.95.9nb3.tgz
NetBSD 9.0i386windowmaker-0.95.9nb3.tgz
NetBSD 9.0i386windowmaker-0.95.9nb4.tgz
NetBSD 9.0mips64ebwindowmaker-0.95.9nb4.tgz
NetBSD 9.0mips64ebwindowmaker-0.95.9nb3.tgz
NetBSD 9.0mips64ebwindowmaker-0.95.9nb3.tgz
NetBSD 9.0mips64ebwindowmaker-0.95.9nb3.tgz
NetBSD 9.0mips64ebwindowmaker-0.95.9nb4.tgz
NetBSD 9.0mipselwindowmaker-0.95.9nb4.tgz
NetBSD 9.0mipselwindowmaker-0.95.9nb3.tgz
NetBSD 9.0mipselwindowmaker-0.95.9nb4.tgz
NetBSD 9.0powerpcwindowmaker-0.95.9nb4.tgz
NetBSD 9.0powerpcwindowmaker-0.95.9nb3.tgz
NetBSD 9.0powerpcwindowmaker-0.95.9nb3.tgz
NetBSD 9.0powerpcwindowmaker-0.95.9nb3.tgz
NetBSD 9.0powerpcwindowmaker-0.95.9nb4.tgz
NetBSD 9.0sh3elwindowmaker-0.95.9nb4.tgz
NetBSD 9.0sh3elwindowmaker-0.95.9nb3.tgz
NetBSD 9.0sh3elwindowmaker-0.95.9nb3.tgz
NetBSD 9.0sh3elwindowmaker-0.95.9nb4.tgz
NetBSD 9.0sparc64windowmaker-0.95.9nb4.tgz
NetBSD 9.0sparc64windowmaker-0.95.9nb3.tgz
NetBSD 9.0sparc64windowmaker-0.95.9nb4.tgz
NetBSD 9.0sparcwindowmaker-0.95.9nb4.tgz
NetBSD 9.0sparcwindowmaker-0.95.9nb3.tgz
NetBSD 9.0sparcwindowmaker-0.95.9nb3.tgz
NetBSD 9.0sparcwindowmaker-0.95.9nb3.tgz
NetBSD 9.0sparcwindowmaker-0.95.9nb4.tgz
NetBSD 9.0x86_64windowmaker-0.95.9nb4.tgz
NetBSD 9.0x86_64windowmaker-0.95.9nb4.tgz
NetBSD 9.0x86_64windowmaker-0.95.9nb3.tgz
NetBSD 9.0x86_64windowmaker-0.95.9nb3.tgz
NetBSD 9.0x86_64windowmaker-0.95.9nb3.tgz
NetBSD 9.0x86_64windowmaker-0.95.9nb4.tgz
NetBSD 9.0x86_64windowmaker-0.95.9nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.